Ubuntu 14.04 LTS and Microsoft Office 2010 via CrossOver 13.1.3

22 April 2014 by Caron WillsCaron Wills
Ubuntu 14.04 LTS released on April 17, 2014. with it are a slew of new features. The release comes nine days after the end of Windows XP and is perhaps one of the shining alternatives people are considering... but what about all of those Office products one might still need?

Today we'll take a look at how easy it is to setup Microsoft Office 2010 with CrossOver 13.1.3. This entry assumes everyone has gotten here:



Ubuntu 14.04 LTS is installed and is up to date:



Head out to our website and download a trial of CrossOver:




Then, double click the download to open with the Ubuntu Software Center:



Once installed, launch CrossOver by locating the icon:


Or by opening a terminal and launching it with /opt/cxoffice/bin/crossover:



Once open, click on the "Install Windows Software..." button and:



We're missing libraries! How did this happen?

Relax, it is not uncommon. We work to improve the libraries CrossOver requests on installation with every release. We walk a fine line of installing too much or too little and for now we are installing too little. With apologies, each package that is missing can be clicked to come to a page with instructions on what CrossOver is asking for. Or, for this, I have a decent list of what it might be missing. I don't know what's on each system so this should be considered a guideline and not the end all to what a system will need. Close the "CrossOver Software Installer" and go back to the terminal, this will bring CrossOver most of the other packages it would request:

apt-get install libfontconfig1:i386 lib32nss-mdns libgnutls26:i386 libxslt1.1:i386 libxcursor1:i386 libxcomposite1:i386 libosmesa6:i386 libopenal1:i386 libmpg123-0:i386 libldap-2.4-2:i386 liblcms2-2:i386 libgstreamer0.10-0:i386 libgstreamer-plugins-base0.10-0:i386 libgsm1:i386 libxinerama1:i386 libxi6:i386 libv4l-0:i386 libsane:i386 libudev1:i386 libxml2:i386

There will still be a few libraries that are not installed, but for the purpose of getting to Microsoft Office 2010, this will be plenty, see:




It's time to select the Office 2010 installation media. CrossOver is setup to recognize the cd or dvd installers for Office 2010.



If CrossOver does not automagically recognize the installer, it can be manually selected.

Now start the installation and soon Microsoft Office 2010 will be installed:




Word, Excel, Powerpoint and Outlook 2010 all run:




Congratulations! You have arrived.

If you do have any questions, our Support Team will be happy to assist you!

About Caron Wills

Caron has been working in the computer software industry for over 10 years. She joined
CodeWeavers in 2008 and became the Quality Assurance Manager for CodeWeavers in 2009. Contact Caron at caron@codeweavers.com and learn more about her professional accomplishments on LinkedIn.

About CodeWeavers
Founded in 1996 as a general software consultancy, CodeWeavers focuses on the development of Wine – the core technology found in all of its CrossOver products. The company's goal is to bring expanded market opportunities for Windows software developers by making it easier, faster and more painless to port Windows software to Mac and Linux. CodeWeavers is recognized as a leader in open-source Windows porting technology, and maintains development offices in Minnesota, the United Kingdom and elsewhere around the world. The company is privately held.

The following comments are owned by whoever posted them. We are not responsible for them in any way.


New Comment

Anand Sengupta
Posted 2014-05-22 06:40
How can I get the updates for MS Office 2010 from time to time?

Regs
AS
Silviu Cojocaru
Silviu Cojocaru
Posted 2014-05-22 10:24
You will probably be able to install service packs. The rest of the updates depend on the Windows Update service which is not available on wine. MS may also make some updates available as separate installer but they may still require WGA which, again, does not work with wine for obvious reasons.
Andrew
Posted 2014-06-22 19:52
Hola que tal por lo que veo dices que hay que descargar una version de prueba que en algun momento vencera la licencia hay alguna manera de poder descargarlo completo??
Caron Wills
Caron Wills
Posted 2014-06-23 08:40
Andrew Posted:
Hola que tal por lo que veo dices que hay que descargar una version de prueba que en algun momento vencera la licencia hay alguna manera de poder descargarlo completo??


I'm not quite versed enough in Spanish to understand the question. Are you asking about free software that expires? Are you asking about the CrossOver trial period?
J-P Simard
J-P Simard
Posted 2014-06-23 08:52
Hey Caron,

French and Spanish are so closely related, I can read it pretty well (couldn't speak it to save my life), and google translate does a good job going from one to the other. The guy wants to know where he can get the full version, which of course is just one activation away. Perhaps you should add a mention of activation on this page, to avoid further confusion. So with my native French and google translate, I would answer:

Deviendre versión de prueba de una versión completa con la activación. Usted sólo necesita su nombre de usuario y contraseña exactamente los que solía escribir en este foro.
Caron Wills
Caron Wills
Posted 2014-06-23 09:03
Thank you J-P!

I will add that information to this blog entry. At least I was close though obviously missing bits.
G. van Essen
Posted 2014-12-05 14:52
Hello,

Bought Crossover_14.0.3-1 this week and installed it on Linux Mint KDE 17 (64bit) in order to install MS Office 2010.

I've installed the above listed libraries (BTW, sudo should be added at the start of the line) and ran sudo dpkg --add-architecture i386 ; sudo apt-get update

However, I'm still getting the Error: Cannot satisfy dependencies problem.

Can you please advise how to figure out which ones are missing.

Thank you
Jana Schmid
Jana Schmid
Posted 2014-12-08 09:35
Please contact info@codeweavers.com and let's see if we can help you out!
G. van Essen
Posted 2014-12-08 13:15
For the record, don't double click the .deb Crossover installation package, but install with: sudo gdebi crossoverpackagename.deb
That worked.
Please Wait...
eyJjYXJ0IjowLCJ0enMiOi01LCJjZG4iOiJodHRwczpcL1wvbWVkaWEuY29kZXdlYXZlcnMuY29tXC9wdWJcL2Nyb3Nzb3Zlclwvd2Vic2l0ZSIsImNkbnRzIjoxNTMzODMxNTczfQ==